group "OptionalEarlyTermination.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 2 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
optionalEarlyTerminationParameters?, optionalEarlyTermination?

Content Model Elements (2):

  optionalEarlyTermination (defined in OptionalEarlyTermination.model group),
  optionalEarlyTerminationParameters

Known Usage Locations

- In definitions of global complexTypes (1):
  EarlyTerminationProvision

XML Source (w/o annotations (2); see within schema source)

<xsd:group name="OptionalEarlyTermination.model"> <xsd:choice> <!--View Generation: SKIPPED optionalEarlyTermination - Technical--> <xsd:sequence> <xsd:element minOccurs="0" name="optionalEarlyTerminationParameters" type="ExercisePeriod"/> <xsd:element minOccurs="0" name="optionalEarlyTermination" type="OptionalEarlyTermination"/> </xsd:sequence> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 2/2)
optionalEarlyTermination

  Type: | OptionalEarlyTermination, complex content

  An option for either or both parties to terminate the swap at fair value.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionalEarlyTermination" type="OptionalEarlyTermination"/>

optionalEarlyTerminationParameters

  Type: | ExercisePeriod, complex content

  Definition of the first early termination date and the frequency of the termination dates subsequent to that. American exercise is defined by having a frequency of one day.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionalEarlyTerminationParameters" type="ExercisePeriod"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.